# sisendi korrektsuse kontrollija

import sys

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

n = int(fi.readline().strip())
if 0 > n or n > 100000:
	sys.exit('N out of range')
fo.write('{0}\n'.format(n))

s = set()
for i in range(n):
	(x, y) = map(int, fi.readline().strip().split())
	if -1000000000 > x or x > 1000000000:
		sys.exit('X[{0}] out of range'.format(i + 1))
	if -1000000000 > y or y > 1000000000:
		sys.exit('Y[{0}] out of range'.format(i + 1))
	if (x, y) in s:
		sys.exit('Mutiple boxes in ({0}, {1})'.format(x, y))
	s.add((x, y))
	fo.write('{0} {1}\n'.format(x, y))

fi.close()
fo.close()
