# -*- coding: utf8 -*-

# 2017 lahtine programmeerimisvõistlus
# Ülesanne: KESK
# Autor: Sandra Schumann
# Testitud: Python 2.7

# Sisendfaili lugemine
fin = open("kesksis.txt", 'r')
tekst = fin.read().split('\n')
fin.close()

# Teisendame sisendit
maritul = []
jyritul = []
for rida in tekst[1:]:
    if not rida:
        continue
    if rida[0] == 'M':
        maritul.append(int(rida.split(' ')[1]))
    else:
        jyritul.append(int(rida.split(' ')[1]))

# Leiame tulemuste summad ja iga mängija mängude arvu
marisum = sum(maritul)
jyrisum = sum(jyritul)
marilen = len(maritul)
jyrilen = len(jyritul)

# Kui kumbki list on tühi, siis määrame selle pikkuseks 1
# See aitab järgmisel valemil õigesti töötada
if marilen == 0:
    marilen = 1
if jyrilen == 0:
    jyrilen = 1

# Leiame, kumma keskmine on suurem, ja kirjutame vastuse
fout = open("keskval.txt", 'w')
# Jagamise asemel (marisum/marilen vs jyrisum/jyrilen) kasutame ristkorrutist
if marisum*jyrilen > jyrisum*marilen:
    fout.write('M\n')
elif marisum*jyrilen < jyrisum*marilen:
    fout.write('J\n')
else:
    fout.write('V\n')
fout.close()
