# Run me in this directory to generate tests

import random
random.seed(1)

def solve(n):
    nums = sorted(n)
    return int(''.join(nums[::2])) + int(''.join(nums[1::2]))

for i, spec in enumerate([ln for ln in open('GEN') if not ln.startswith('#')]):
    n = spec.strip() if not spec.startswith('eval') else eval(spec[5:])
    with open(f'../input/input{i}.txt', 'w') as f:
        print(len(n), file=f)
        print(n, file=f)
    with open(f'../output/output{i}.txt', 'w') as f:
        print(solve(n), file=f)


